Loading...
Searching...
No Matches
svn_wc_diff_callbacks_t Struct Reference
Working copy management

Similar to svn_wc_diff_callbacks2_t, but with file additions/content changes and property changes split into different functions. More...

`#include <svn_wc.h>`

## Data Fields

svn_error_t *(* | file_changed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, void *diff_baton)
| Similar to `file_changed` in svn_wc_diff_callbacks2_t, but without property change information.
svn_error_t *(* | file_added )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, void *diff_baton)
| Similar to `file_added` in svn_wc_diff_callbacks2_t, but without property change information.
svn_error_t *(* | file_deleted )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, const char *mimetype1, const char *mimetype2, void *diff_baton)
| Similar to `file_deleted` in svn_wc_diff_callbacks2_t, but without the properties.
svn_error_t *(* | dir_added )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, svn_revnum_t rev, void *diff_baton)
| The same as `dir_added` in svn_wc_diff_callbacks2_t.
svn_error_t *(* | dir_deleted )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, void *diff_baton)
| The same as `dir_deleted` in svn_wc_diff_callbacks2_t.
svn_error_t *(* | props_changed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const apr_array_header_t *propchanges, apr_hash_t *original_props, void *diff_baton)
| Similar to `dir_props_changed` in svn_wc_diff_callbacks2_t, but this function is called for files as well as directories.

## Detailed Description

Similar to svn_wc_diff_callbacks2_t, but with file additions/content changes and property changes split into different functions.

Deprecated
  Provided for backward compatibility with the 1.1 API.

Definition at line 2687 of file svn_wc.h.

## Field Documentation

## dir_added

svn_error_t *(* svn_wc_diff_callbacks_t::dir_added) (svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, svn_revnum_t rev, void *diff_baton)

The same as `dir_added` in svn_wc_diff_callbacks2_t.

Definition at line 2728 of file svn_wc.h.

## dir_deleted

svn_error_t *(* svn_wc_diff_callbacks_t::dir_deleted) (svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, void *diff_baton)

The same as `dir_deleted` in svn_wc_diff_callbacks2_t.

Definition at line 2735 of file svn_wc.h.

## file_added

svn_error_t *(* svn_wc_diff_callbacks_t::file_added) (svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, void *diff_baton)

Similar to `file_added` in svn_wc_diff_callbacks2_t, but without property change information.

*state applies to the file contents.

Definition at line 2705 of file svn_wc.h.

## file_changed

svn_error_t *(* svn_wc_diff_callbacks_t::file_changed) (svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, void *diff_baton)

Similar to `file_changed` in svn_wc_diff_callbacks2_t, but without property change information.

tmpfile2 is never NULL. state applies to the file contents.

Definition at line 2692 of file svn_wc.h.

## file_deleted

svn_error_t *(* svn_wc_diff_callbacks_t::file_deleted) (svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, const char *mimetype1, const char *mimetype2, void *diff_baton)

Similar to `file_deleted` in svn_wc_diff_callbacks2_t, but without the properties.

Definition at line 2718 of file svn_wc.h.

## props_changed

svn_error_t *(* svn_wc_diff_callbacks_t::props_changed) (svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const apr_array_header_t *propchanges, apr_hash_t *original_props, void *diff_baton)

Similar to `dir_props_changed` in svn_wc_diff_callbacks2_t, but this function is called for files as well as directories.

Definition at line 2742 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h